/**
 *
 * WidgetBase provides a lot of the core widget functions
 *
 * @external dijit/_WidgetBase
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/_WidgetBase.html
 */

/**
 * TemplatedMixin gives us many of the template methods, e.g. parsing the HTML template and making the data-dojo-attach-point attribute work.
 *
 * @external dijit/_TemplatedMixin
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/_TemplatedMixin.html
 *
 */

/**
 * Used by {@link module:AlfBreadcrumb} & others
 *
 * @external dojo/_OnDijitClickMixin
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/_OnDijitClickMixin.html
 *
 */

/**
 * Used by {@link module:AlfBreadcrumb}
 *
 * @external dojo/_CssStateMixin
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/_CssStateMixin.html
 */

/**
 * Used by {@link module:AlfGalleryViewSlider}
 *
 * @external dijit/form/HorizontalSlider
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/form/HorizontalSlider
 */

/**
 * Used by {@link module:AlfDocumentListView} and {@link module:ListRenderer}
 *
 * @external dojo/_KeyNavContainer
 * @see http://dojotoolkit.org/reference-guide/1.9/dojo/_KeyNavContainer
 */

/**
 * Used by {@link module:BaseFormControl}
 *
 * @external dojo/_FocusMixin
 * @see http://dojotoolkit.org/reference-guide/1.9/dojo/_FocusMixin
 */

/**
 * Used by {@link module:AlfCascadingMenu}
 *
 * @external dijit/PopupMenuItem
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/PopupMenuItem
 */

/**
 * Used by {@link module:AlfContextMenu}
 *
 * @external dijit/Menu
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/Menu
 */

/**
 * Used by {@link module:AlfDropDownMenu}
 *
 * @external dijit/DropDownMenu
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/DropDownMenu
 */

/**
 * This forms the basis for {@link module:AlfMenuBarItem}
 *
 * @external dijit/MenuBarItem
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/MenuBarItem
 */

/**
 * This forms the basis for {@link module:AlfMenuBarPopup}
 *
 * @external dijit/PopupMenuBarItem
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/PopupMenuBarItem
 */

/**
 * This forms the basis for {@link module:AlfMenuItem}
 *
 * @external dijit/MenuItem
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/MenuItem
 */

/**
 * Referenced in {@link module:AlfMenuItemWrapper}
 *
 * @external dijit/_Contained
 * @see http://dojotoolkit.org/reference-guide/1.9/dijit/_Contained
 * @todo is this used anymore?
 */

/**
 * jQuery is used for some of the core util methods and dom manipulation bits, e.g. fadeIn/Out in {@link module:Dashlets}
 *
 * @external jquery
 * @see http://api.jquery.com/
 */

/**
 *
 * @external dojo/store/JsonRest
 * @see http://dojotoolkit.org/reference-guide/1.9/dojo/store/JsonRest.html
 * @todo do we use this anymore?
 */